public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: x11-libs/vte/files/, x11-libs/vte/
@ 2019-08-04 10:29 Mart Raudsepp
  0 siblings, 0 replies; 4+ messages in thread
From: Mart Raudsepp @ 2019-08-04 10:29 UTC (permalink / raw
  To: gentoo-commits

commit:     7594a51367ad57aad6162a26892faeaa685db177
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  4 10:28:52 2019 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Sun Aug  4 10:29:07 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7594a513

x11-libs/vte: fix vala:0.44 compatibility properly

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 x11-libs/vte/files/0.54.4-vala-0.44-compat.patch | 29 ++++++++++++++++++++++++
 x11-libs/vte/vte-0.48.4.ebuild                   |  3 +++
 x11-libs/vte/vte-0.54.4.ebuild                   |  6 +++--
 3 files changed, 36 insertions(+), 2 deletions(-)

diff --git a/x11-libs/vte/files/0.54.4-vala-0.44-compat.patch b/x11-libs/vte/files/0.54.4-vala-0.44-compat.patch
new file mode 100644
index 00000000000..5da32bea838
--- /dev/null
+++ b/x11-libs/vte/files/0.54.4-vala-0.44-compat.patch
@@ -0,0 +1,29 @@
+From 53690d5cee51bdb7c3f7680d3c22b316b1086f2c Mon Sep 17 00:00:00 2001
+From: Rico Tzschichholz <ricotz@ubuntu.com>
+Date: Sat, 1 Dec 2018 19:04:59 +0100
+Subject: [PATCH] vala: Fix build with vala 0.43+ git master due to empty
+ struct definition
+
+This should get a proper refactoring as the FIXME suggests.
+
+See https://gitlab.gnome.org/GNOME/vte/issues/76
+---
+ bindings/vala/app.vala | 2 ++
+ 1 file changed, 2 insertions(+)
+
+diff --git a/bindings/vala/app.vala b/bindings/vala/app.vala
+index 8663d63c..a534e76b 100644
+--- a/bindings/vala/app.vala
++++ b/bindings/vala/app.vala
+@@ -819,6 +819,8 @@ class App : Gtk.Application
+ 
+   public struct Options
+   {
++    //FIXME Merge this struct into App class
++    public int dummy;
+     public static bool audible = false;
+     public static string? command = null;
+     private static string? cjk_ambiguous_width_string = null;
+-- 
+2.20.1
+

diff --git a/x11-libs/vte/vte-0.48.4.ebuild b/x11-libs/vte/vte-0.48.4.ebuild
index 23c0c8fdfbd..779dabd7b87 100644
--- a/x11-libs/vte/vte-0.48.4.ebuild
+++ b/x11-libs/vte/vte-0.48.4.ebuild
@@ -52,6 +52,9 @@ src_prepare() {
 		eapply "${WORKDIR}"/${P}-command-notify.patch
 	fi
 
+	# Fix bindings test compilation with vala:0.44 and newer - https://gitlab.gnome.org/GNOME/vte/issues/76
+	eapply "${FILESDIR}"/0.54.4-vala-0.44-compat.patch
+
 	use vala && vala_src_prepare
 
 	# build fails because of -Werror with gcc-5.x

diff --git a/x11-libs/vte/vte-0.54.4.ebuild b/x11-libs/vte/vte-0.54.4.ebuild
index 54d35883929..e11d9d2ec6b 100644
--- a/x11-libs/vte/vte-0.54.4.ebuild
+++ b/x11-libs/vte/vte-0.54.4.ebuild
@@ -3,8 +3,7 @@
 
 EAPI="6"
 VALA_USE_DEPEND="vapigen"
-VALA_MIN_API_VERSION="0.36"
-VALA_MAX_API_VERSION="0.42"
+VALA_MIN_API_VERSION="0.32"
 
 inherit gnome2 vala
 
@@ -53,6 +52,9 @@ src_prepare() {
 		eapply "${WORKDIR}"/${PN}-0.54.1-command-notify.patch
 	fi
 
+	# Fix bindings test compilation with vala:0.44 and newer - https://gitlab.gnome.org/GNOME/vte/issues/76
+	eapply "${FILESDIR}"/${PV}-vala-0.44-compat.patch
+
 	use vala && vala_src_prepare
 
 	# build fails because of -Werror with gcc-5.x


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-libs/vte/files/, x11-libs/vte/
@ 2021-05-01 12:43 Matt Turner
  0 siblings, 0 replies; 4+ messages in thread
From: Matt Turner @ 2021-05-01 12:43 UTC (permalink / raw
  To: gentoo-commits

commit:     0ce4e96a0ffee289aacf43385a070a67f0e8a024
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sat May  1 12:34:00 2021 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat May  1 12:42:43 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ce4e96a

x11-libs/vte: use ${EPYTHON}, not python3

Closes: https://bugs.gentoo.org/787290
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 ...python-explicitly-to-honor-downstream-pyt.patch | 48 ++++++++++++++++++++++
 x11-libs/vte/vte-0.64.1.ebuild                     |  8 +++-
 2 files changed, 55 insertions(+), 1 deletion(-)

diff --git a/x11-libs/vte/files/vte-0.64.1-meson-Find-python-explicitly-to-honor-downstream-pyt.patch b/x11-libs/vte/files/vte-0.64.1-meson-Find-python-explicitly-to-honor-downstream-pyt.patch
new file mode 100644
index 00000000000..79171d29dea
--- /dev/null
+++ b/x11-libs/vte/files/vte-0.64.1-meson-Find-python-explicitly-to-honor-downstream-pyt.patch
@@ -0,0 +1,48 @@
+https://gitlab.gnome.org/GNOME/vte/-/issues/350
+
+From d459d32126119c8d78f8239b8b857a255e6005d7 Mon Sep 17 00:00:00 2001
+From: Matt Turner <mattst88@gmail.com>
+Date: Sat, 1 May 2021 08:31:45 -0400
+Subject: [PATCH] meson: Find python explicitly to honor downstream python
+ choice
+
+---
+ meson.build     | 1 +
+ src/meson.build | 2 ++
+ 2 files changed, 3 insertions(+)
+
+diff --git a/meson.build b/meson.build
+index 4f5a7c57..6404802f 100644
+--- a/meson.build
++++ b/meson.build
+@@ -461,6 +461,7 @@ pango_dep    = dependency('pango',      version: '>=' + pango_req_version)
+ pcre2_dep    = dependency('libpcre2-8', version: '>=' + pcre2_req_version)
+ pthreads_dep = dependency('threads')
+ zlib_dep     = dependency('zlib')
++python       = import('python').find_installation('python3')
+ 
+ if get_option('fribidi')
+   fribidi_dep = dependency('fribidi', version: '>=' + fribidi_req_version)
+diff --git a/src/meson.build b/src/meson.build
+index a1440da5..4ac6a7f2 100644
+--- a/src/meson.build
++++ b/src/meson.build
+@@ -60,6 +60,7 @@ modes_sources = files(
+ modes_sources += custom_target(
+   'modes',
+   command: [
++    python,
+     files('modes.py'),
+     '--destdir', '@OUTDIR@',
+   ],
+@@ -92,6 +93,7 @@ parser_sources = files(
+ parser_sources += custom_target(
+   'parser-seq',
+   command: [
++    python,
+     files('parser-seq.py'),
+     '--destdir', '@OUTDIR@',
+   ],
+-- 
+2.26.3
+

diff --git a/x11-libs/vte/vte-0.64.1.ebuild b/x11-libs/vte/vte-0.64.1.ebuild
index e1499ad2215..5d3ccf349ac 100644
--- a/x11-libs/vte/vte-0.64.1.ebuild
+++ b/x11-libs/vte/vte-0.64.1.ebuild
@@ -2,10 +2,11 @@
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
 VALA_USE_DEPEND="vapigen"
 VALA_MIN_API_VERSION="0.32"
 
-inherit gnome.org meson vala xdg
+inherit gnome.org meson python-any-r1 vala xdg
 
 DESCRIPTION="Library providing a virtual terminal emulator widget"
 HOMEPAGE="https://wiki.gnome.org/Apps/Terminal/VTE"
@@ -35,6 +36,7 @@ RDEPEND="
 "
 DEPEND="${RDEPEND}"
 BDEPEND="
+	${PYTHON_DEPS}
 	dev-libs/libxml2:2
 	dev-util/glib-utils
 	gtk-doc? ( >=dev-util/gtk-doc-1.13
@@ -45,6 +47,10 @@ BDEPEND="
 	vala? ( $(vala_depend) )
 "
 
+PATCHES=(
+	"${FILESDIR}"/${PN}-0.64.1-meson-Find-python-explicitly-to-honor-downstream-pyt.patch
+)
+
 src_prepare() {
 	if ! use vanilla; then
 		# Part of https://src.fedoraproject.org/rpms/vte291/raw/f31/f/vte291-cntnr-precmd-preexec-scroll.patch


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-libs/vte/files/, x11-libs/vte/
@ 2023-04-10 12:39 Matt Turner
  0 siblings, 0 replies; 4+ messages in thread
From: Matt Turner @ 2023-04-10 12:39 UTC (permalink / raw
  To: gentoo-commits

commit:     ffa74c36cc92a3f4728892b8378e594df07028f6
Author:     brahmajit das <brahmajit.xyz <AT> gmail <DOT> com>
AuthorDate: Sat Apr  1 07:56:47 2023 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Apr 10 12:37:52 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ffa74c36

x11-libs/vte: Fix clang 16 build failure with -Wenum-constexpr-conversion

GSpawnFlags is enum with max value 1 << 15 which means it fits into a
short int, however here we are OR'ing VTE_SPAWN_* as well which have
higher values

Closes: https://bugs.gentoo.org/895834
Signed-off-by: brahmajit das <brahmajit.xyz <AT> gmail.com>
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 ...value-is-outside-the-valid-range-clang-16.patch |  47 +++++++++
 x11-libs/vte/vte-0.70.3-r1.ebuild                  | 105 +++++++++++++++++++++
 2 files changed, 152 insertions(+)

diff --git a/x11-libs/vte/files/vte-0.70-integer-value-is-outside-the-valid-range-clang-16.patch b/x11-libs/vte/files/vte-0.70-integer-value-is-outside-the-valid-range-clang-16.patch
new file mode 100644
index 000000000000..ab6aceae196c
--- /dev/null
+++ b/x11-libs/vte/files/vte-0.70-integer-value-is-outside-the-valid-range-clang-16.patch
@@ -0,0 +1,47 @@
+# From 9400d41660e6c27b672f9c77855d736581f499bf Mon Sep 17 00:00:00 2001
+# From: Khem Raj <raj.khem@gmail.com>
+# Date: Thu, 2 Mar 2023 22:57:00 +0100
+# Subject: [PATCH] pty: Do not typecast to GSpawnFlags
+#
+# GSpawnFlags is enum with max value 1 << 15 which means it fits into
+# a short, however here we are oring VTE_SPAWN_* as well which have
+# higher values (by design).  This fixes a compile error on clang 16
+# with the -Wenum-constexpr-conversion flag.
+#
+# Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2618
+# (cherry picked from commit 9b41cd1014299d01111b64b705f013e28398821a)
+#
+# Also refer: https://gitlab.gnome.org/GNOME/vte/-/commit/9400d41660e6c27b672f9c77855d736581f499bf.patch
+--- a/src/vtepty.cc
++++ b/src/vtepty.cc
+@@ -574,18 +574,18 @@ catch (...)
+ static constexpr inline auto
+ all_spawn_flags() noexcept
+ {
+-        return GSpawnFlags(G_SPAWN_LEAVE_DESCRIPTORS_OPEN |
+-                           G_SPAWN_DO_NOT_REAP_CHILD |
+-                           G_SPAWN_SEARCH_PATH |
+-                           G_SPAWN_STDOUT_TO_DEV_NULL |
+-                           G_SPAWN_STDERR_TO_DEV_NULL |
+-                           G_SPAWN_CHILD_INHERITS_STDIN |
+-                           G_SPAWN_FILE_AND_ARGV_ZERO |
+-                           G_SPAWN_SEARCH_PATH_FROM_ENVP |
+-                           G_SPAWN_CLOEXEC_PIPES |
+-                           VTE_SPAWN_NO_PARENT_ENVV |
+-                           VTE_SPAWN_NO_SYSTEMD_SCOPE |
+-                           VTE_SPAWN_REQUIRE_SYSTEMD_SCOPE);
++        return (G_SPAWN_LEAVE_DESCRIPTORS_OPEN |
++                G_SPAWN_DO_NOT_REAP_CHILD |
++                G_SPAWN_SEARCH_PATH |
++                G_SPAWN_STDOUT_TO_DEV_NULL |
++                G_SPAWN_STDERR_TO_DEV_NULL |
++                G_SPAWN_CHILD_INHERITS_STDIN |
++                G_SPAWN_FILE_AND_ARGV_ZERO |
++                G_SPAWN_SEARCH_PATH_FROM_ENVP |
++                G_SPAWN_CLOEXEC_PIPES |
++                VTE_SPAWN_NO_PARENT_ENVV |
++                VTE_SPAWN_NO_SYSTEMD_SCOPE |
++                VTE_SPAWN_REQUIRE_SYSTEMD_SCOPE);
+ }
+
+ static constexpr inline auto

diff --git a/x11-libs/vte/vte-0.70.3-r1.ebuild b/x11-libs/vte/vte-0.70.3-r1.ebuild
new file mode 100644
index 000000000000..9f1b6512767d
--- /dev/null
+++ b/x11-libs/vte/vte-0.70.3-r1.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit gnome.org meson python-any-r1 vala xdg
+
+DESCRIPTION="Library providing a virtual terminal emulator widget"
+HOMEPAGE="https://wiki.gnome.org/Apps/Terminal/VTE"
+
+# Once SIXEL support ships (0.66 or later), might need xterm license (but code might be considered upgraded to LGPL-3+)
+LICENSE="LGPL-3+ GPL-3+"
+SLOT="2.91"      # vte_api_version in meson.build
+IUSE="+crypt debug gtk-doc +icu +introspection systemd +vala vanilla"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86"
+REQUIRED_USE="
+	gtk-doc? ( introspection )
+	vala? ( introspection )
+"
+
+# Upstream is hostile and refuses to upload tarballs.
+SRC_URI="https://gitlab.gnome.org/GNOME/${PN}/-/archive/${PV}/${P}.tar.bz2"
+SRC_URI="${SRC_URI} !vanilla? ( https://dev.gentoo.org/~mattst88/distfiles/${PN}-0.70.0-command-notify.patch.xz )"
+
+DEPEND="
+	>=x11-libs/gtk+-3.24.22:3[introspection?]
+	>=dev-libs/fribidi-1.0.0
+	>=dev-libs/glib-2.52:2
+	crypt?  ( >=net-libs/gnutls-3.2.7:0= )
+	icu? ( dev-libs/icu:= )
+	>=x11-libs/pango-1.22.0
+	>=dev-libs/libpcre2-10.21:=
+	systemd? ( >=sys-apps/systemd-220:= )
+	sys-libs/zlib
+	introspection? ( >=dev-libs/gobject-introspection-1.56:= )
+	x11-libs/pango[introspection?]
+"
+RDEPEND="${DEPEND}
+	~gui-libs/vte-common-${PV}[systemd?]
+"
+BDEPEND="
+	${PYTHON_DEPS}
+	dev-libs/libxml2:2
+	dev-util/glib-utils
+	gtk-doc? ( dev-util/gi-docgen )
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+	vala? ( $(vala_depend) )
+"
+
+PATCHES=(
+	"${FILESDIR}"/$PN-0.70-integer-value-is-outside-the-valid-range-clang-16.patch
+)
+
+src_prepare() {
+	default
+	use vala && vala_setup
+	xdg_environment_reset
+
+	use elibc_musl && eapply "${FILESDIR}"/${PN}-0.66.2-musl-W_EXITCODE.patch
+
+	if ! use vanilla; then
+		# Part of https://src.fedoraproject.org/rpms/vte291/raw/f37/f/vte291-cntnr-precmd-preexec-scroll.patch
+		# Adds OSC 777 support for desktop notifications in gnome-terminal or elsewhere
+		eapply "${WORKDIR}"/${PN}-0.70.0-command-notify.patch
+	fi
+
+	# -Ddebugg option enables various debug support via VTE_DEBUG, but also ggdb3; strip the latter
+	sed -e '/ggdb3/d' -i meson.build || die
+	sed -i 's/vte_gettext_domain = vte_api_name/vte_gettext_domain = vte_gtk3_api_name/' meson.build || die
+}
+
+src_configure() {
+	local emesonargs=(
+		-Da11y=true
+		$(meson_use debug debugg)
+		$(meson_use gtk-doc docs)
+		$(meson_use introspection gir)
+		-Dfribidi=true # pulled in by pango anyhow
+		-Dglade=true
+		$(meson_use crypt gnutls)
+		-Dgtk3=true
+		-Dgtk4=false
+		$(meson_use icu)
+		$(meson_use systemd _systemd)
+		$(meson_use vala vapi)
+	)
+	meson_src_configure
+}
+
+src_install() {
+	meson_install # not meson_src_install because this would include einstalldocs, which would result in file collisions with gui-libs/vte
+	# Remove files that are provided by gui-libs/vte-common
+	rm "${ED}"/usr/libexec/vte-urlencode-cwd || die
+	rm "${ED}"/etc/profile.d/vte.sh || die
+	rm "${ED}"/etc/profile.d/vte.csh || die
+	if use systemd; then
+		rm "${ED}"/usr/lib/systemd/user/vte-spawn-.scope.d/defaults.conf || die
+	fi
+	if use gtk-doc; then
+		mkdir -p "${ED}"/usr/share/gtk-doc/ || die
+		mv "${ED}"/usr/share/doc/vte-${SLOT} "${ED}"/usr/share/gtk-doc/vte-${SLOT}-gtk3 || die
+	fi
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: x11-libs/vte/files/, x11-libs/vte/
@ 2024-08-25 19:01 Sam James
  0 siblings, 0 replies; 4+ messages in thread
From: Sam James @ 2024-08-25 19:01 UTC (permalink / raw
  To: gentoo-commits

commit:     b84060fb3fef7d88f845f6d22adce3c22e8484b9
Author:     Holger Hoffstätte <holger <AT> applied-asynchrony <DOT> com>
AuthorDate: Fri Aug  9 11:45:29 2024 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Aug 25 19:01:00 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b84060fb

x11-libs/vte: fix build with gcc-14

Bug: https://gitlab.gnome.org/GNOME/vte/-/issues/2807
Closes: https://bugs.gentoo.org/937617
Signed-off-by: Holger Hoffstätte <holger <AT> applied-asynchrony.com>
Closes: https://github.com/gentoo/gentoo/pull/38026
Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-libs/vte/files/vte-0.76.3-stdint.patch | 34 ++++++++++++++++++++++++++++++
 x11-libs/vte/vte-0.76.3.ebuild             |  2 ++
 2 files changed, 36 insertions(+)

diff --git a/x11-libs/vte/files/vte-0.76.3-stdint.patch b/x11-libs/vte/files/vte-0.76.3-stdint.patch
new file mode 100644
index 000000000000..26c640e0ae7f
--- /dev/null
+++ b/x11-libs/vte/files/vte-0.76.3-stdint.patch
@@ -0,0 +1,34 @@
+
+Fix compilation with gcc-14.
+
+Bug: https://bugs.gentoo.org/937617
+Bug: https://gitlab.gnome.org/GNOME/vte/-/issues/2807
+
+Patch from:
+https://gitlab.gnome.org/GNOME/vte/-/commit/0d393b6cd6a24f53eaefa16764b9453a1483acf5
+
+From 0d393b6cd6a24f53eaefa16764b9453a1483acf5 Mon Sep 17 00:00:00 2001
+From: Christian Persch <chpe@src.gnome.org>
+Date: Mon, 12 Aug 2024 18:42:37 +0200
+Subject: [PATCH] lib: Include stdint.h where needed
+
+Fixes: https://gitlab.gnome.org/GNOME/vte/-/issues/2807
+---
+ src/vte/vteregex.h | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/src/vte/vteregex.h b/src/vte/vteregex.h
+index 10c5088b8..c9e4f75db 100644
+--- a/src/vte/vteregex.h
++++ b/src/vte/vteregex.h
+@@ -23,6 +23,7 @@
+ 
+ #include <glib.h>
+ #include <glib-object.h>
++#include <stdint.h>
+ 
+ #include "vtemacros.h"
+ 
+-- 
+GitLab
+

diff --git a/x11-libs/vte/vte-0.76.3.ebuild b/x11-libs/vte/vte-0.76.3.ebuild
index 09a196f39dae..e18dd0ef6bbc 100644
--- a/x11-libs/vte/vte-0.76.3.ebuild
+++ b/x11-libs/vte/vte-0.76.3.ebuild
@@ -54,6 +54,8 @@ BDEPEND="
 	vala? ( $(vala_depend) )
 "
 
+PATCHES=( "${FILESDIR}/${PN}-0.76.3-stdint.patch" )
+
 src_prepare() {
 	default
 	use vala && vala_setup


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2024-08-25 19:01 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-05-01 12:43 [gentoo-commits] repo/gentoo:master commit in: x11-libs/vte/files/, x11-libs/vte/ Matt Turner
  -- strict thread matches above, loose matches on Subject: below --
2024-08-25 19:01 Sam James
2023-04-10 12:39 Matt Turner
2019-08-04 10:29 Mart Raudsepp

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox